HostingMigrations
List migrations
GET
/api/migrationsReturns migrations for the authenticated user.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
customer_code?string
Customer code to filter migrations by. Admin only.
status?string
Migration status filter.
all= include every migration status.validating= validation is running.to_schedule= ready to be scheduled.scheduled= execution is scheduled.running= operation is in progress.failed= operation failed.completed_with_errors= completed with failed resources.completed= completed successfully.
Values
all | validating | to_schedule | scheduled | running | failed | completed_with_errors | completedpage?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/migrations" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"status": "validating",
"status_detail": "first execution",
"code": "string",
"csv_file_name": "string",
"original_csv_file_name": "string",
"csv_file_size": 0,
"preset": "string",
"resources_has_errors": true,
"admin_first_execution_override": true,
"admin_second_execution_override": true,
"resources": 0,
"can_delete": true,
"execute_now": true,
"is_late": true,
"owner": "string",
"created_at": "string",
"updated_at": "string",
"first_execution_date": "string",
"second_execution_date": "string",
"from_date": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}